Issue #12124 has been updated by Shyouhei Urabe.


- I'm afraid automake contaminates this project with GPL.
- I'm afraid this world is not built on top of GNU.  AFAIK automake forces us to use GNU make, which breaks compatibility.

----------------------------------------
Misc #12124: Use Automake
https://bugs.ruby-lang.org/issues/12124#change-57195

* Author: C.J. Collier
* Status: Open
* Priority: Normal
* Assignee: C.J. Collier
----------------------------------------
It looks like there is a lot of duplicate code that could be removed by making use of automake.

Are there any reasons why this should not be done?

I've got some patches up for review here:

https://github.com/ruby/ruby/compare/trunk...LLC-Technologies-Collier:trunk?expand=1



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>